api_platform:
    # The title of the API.
    title: 'AeS v8-Platypus API'

    # The description of the API.
    description: |-
        Archive-e-Service (AeS) est une interface homme-machine (IHM) s’inscrivant dans une solution globale de gestion
        documentaire nommée système d’archivage électronique (S.A.E.). Le module Archive-e-Service a pour fonction première
        de permettre une visualisation de fichiers archivés, et d’administrer une liste d’utilisateurs ayant accès à ces fichiers.

        Il dispose également d’interfaces de versement. Le présent document décrit chaque aspect technique et fonctionnel du
        module AeS. Toutes les copies d’écrans présentent dans le document sont des exemples illustrant les chapitres.'

    # The version of the API.
    version: '8.0.0#316'

    # Set this to false if you want Webby to disappear.
    show_webby: false

    # Specify a name converter to use.
    name_converter: ~

    collection:
        pagination: true

    defaults:
        pagination_enabled: true

    mapping:
        paths:
            - '%kernel.project_dir%/src/Entity'
            - '%kernel.project_dir%/src/Entity/Legacy'
            - '%kernel.project_dir%/src/Document'
            - '%kernel.project_dir%/master/Document'

    formats:
        #jsonld: [ 'application/ld+json' ]
        #jsonhal: [ 'application/hal+json' ]
        #jsonapi: [ 'application/vnd.api+json' ]
        json: [ 'application/json' ]
        #xml: [ 'application/xml', 'text/xml' ]
        #yaml: [ 'application/x-yaml' ]
        #csv: [ 'text/csv' ]
        html: [ 'text/html' ]
        #myformat: [ 'application/vnd.myformat' ]

    patch_formats:
        json: ['application/merge-patch+json']

    swagger:
        versions: [3]
        api_keys:
            JWT:
                name: Authorization
                type: header
